<div>
    <div class="title-header" >
        <div class="messages-header">
            <span>{{'CHATS'| translate}}</span>
        </div>
    </div>
    <div class="no-result" ng-show="conversationHistory.size == 0">
        {{'NO_NEW_MESSAGE' | translate}}
    </div>

    <div ng-show="conversationHistory.size > 0">
        <a href class="chat-party" ng-click="action(party)" ng-repeat="(party, item) in conversationHistory | fromMap "
           title="{{'REPLY' | translate}} ">
            <div class="party-item m-party" >

                <div class="m-party-item chat-displayName">
                    {{::party | userDisplayName }}
                </div>

                <span class ="chat-column"> : </span>

                <div class="m-party-item">
                    <div class="chat-message" ng-bind-html="item.content | linky:'_blank' | emoji"></div>
                </div>

                <div class="m-party-item flex-align-right hour-date-unread-msg" ng-class="{'time-line-height' : item.unreadMessageCount == 0}">
                    <span class="chat-time" title="{{item.date | date :'dd-MM-yyyy HH:mm:ss'}}" >{{item.date | chatDateTime}}</span>
                    <span class="party-new-message" ng-if="item.unreadMessageCount > 0"><b class="party-new-message-count">{{item.unreadMessageCount}}</b></span>
                </div>
            </div>
        </a>
    </div>
</div>
